Index: trunk/SophyaLib/SUtils/Makefile
===================================================================
--- trunk/SophyaLib/SUtils/Makefile	(revision 3403)
+++ trunk/SophyaLib/SUtils/Makefile	(revision 3405)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)datacards.o: datacards.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)datacards.o: datacards.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h datacards.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -18,6 +17,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacards.cc
  
-$(SOPHYAOBJP)strutilxx.o: strutilxx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)strutilxx.o: strutilxx.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h strutilxx.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  strutilxx.cc
Index: trunk/SophyaLib/SUtils/smakefile
===================================================================
--- trunk/SophyaLib/SUtils/smakefile	(revision 3403)
+++ trunk/SophyaLib/SUtils/smakefile	(revision 3405)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)datacards.o: datacards.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)datacards.o: datacards.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h datacards.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -18,6 +17,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacards.cc
  
-$(SOPHYAOBJP)strutilxx.o: strutilxx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)strutilxx.o: strutilxx.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h strutilxx.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  strutilxx.cc
Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 3403)
+++ trunk/SophyaLib/Samba/Makefile	(revision 3405)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)alm.o: alm.cc \
-  $(SOPHYAINCP)sopnamsp.h alm.h \
+$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h \
@@ -39,6 +38,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
  
-$(SOPHYAOBJP)bruit.o: bruit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)srandgen.h \
@@ -46,54 +44,54 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc \
-  $(SOPHYAINCP)sopnamsp.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
+  circle.h $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
  
 $(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefake.h datacirclebase.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
+  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
+  datacirclebase.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
-$(SOPHYAOBJP)harmspher.o: harmspher.cc \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)harmspher.o: harmspher.cc $(SOPHYAINCP)machdefs.h \
   harmspher.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
 $(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  lambdaBuilder.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  alm.h $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h alm.h \
+  $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -102,6 +100,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc \
-  $(SOPHYAINCP)sopnamsp.h mlobe.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h mlobe.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -133,11 +130,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
  
-$(SOPHYAOBJP)sambainit.o: sambainit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
+$(SOPHYAOBJP)sambainit.o: sambainit.cc $(SOPHYAINCP)sopnamsp.h \
+  sambainit.h $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
@@ -146,13 +142,14 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
-$(SOPHYAOBJP)scan.o: scan.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h scan.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -162,4 +159,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)smathconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
@@ -171,4 +169,5 @@
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
@@ -198,9 +197,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)fftpserver.h alm.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)fftservintf.h alm.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
-  lambdaBuilder.h \
+  $(SOPHYAINCP)tvector.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
Index: trunk/SophyaLib/Samba/smakefile
===================================================================
--- trunk/SophyaLib/Samba/smakefile	(revision 3403)
+++ trunk/SophyaLib/Samba/smakefile	(revision 3405)
@@ -11,6 +11,5 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)alm.o: alm.cc \
-  $(SOPHYAINCP)sopnamsp.h alm.h \
+$(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)machdefs.h \
@@ -39,6 +38,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
  
-$(SOPHYAOBJP)bruit.o: bruit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)bruit.o: bruit.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)srandgen.h \
@@ -46,54 +44,54 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
-$(SOPHYAOBJP)circle.o: circle.cc \
-  $(SOPHYAINCP)sopnamsp.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
+$(SOPHYAOBJP)circle.o: circle.cc $(SOPHYAINCP)sopnamsp.h \
+  circle.h $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  circle.cc
  
 $(SOPHYAOBJP)datacirclefake.o: datacirclefake.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  datacirclefake.h datacirclebase.h circle.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)unitvector.h \
-  geometry.h
+  $(SOPHYAINCP)sopnamsp.h datacirclefake.h \
+  datacirclebase.h circle.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)utilgeom.h geometry.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefake.cc
  
-$(SOPHYAOBJP)harmspher.o: harmspher.cc \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)harmspher.o: harmspher.cc $(SOPHYAINCP)machdefs.h \
   harmspher.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  harmspher.cc
  
 $(SOPHYAOBJP)lambdaBuilder.o: lambdaBuilder.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  lambdaBuilder.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  alm.h $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)sopnamsp.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h alm.h \
+  $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -102,6 +100,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lambdaBuilder.cc
  
-$(SOPHYAOBJP)mlobe.o: mlobe.cc \
-  $(SOPHYAINCP)sopnamsp.h mlobe.h \
+$(SOPHYAOBJP)mlobe.o: mlobe.cc $(SOPHYAINCP)sopnamsp.h mlobe.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -133,11 +130,10 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mlobe.cc
  
-$(SOPHYAOBJP)sambainit.o: sambainit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  sambainit.h \
-  $(SOPHYAINCP)skymapinit.h \
+$(SOPHYAOBJP)sambainit.o: sambainit.cc $(SOPHYAINCP)sopnamsp.h \
+  sambainit.h $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
@@ -146,13 +142,14 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sambainit.cc
  
-$(SOPHYAOBJP)scan.o: scan.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scan.o: scan.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h scan.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -162,4 +159,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)smathconst.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scan.cc
@@ -171,4 +169,5 @@
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
@@ -198,9 +197,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)fftpserver.h alm.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)fftservintf.h alm.h \
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
-  lambdaBuilder.h \
+  $(SOPHYAINCP)tvector.h lambdaBuilder.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sphericaltransformserver.cc
Index: trunk/SophyaLib/SkyMap/Makefile
===================================================================
--- trunk/SophyaLib/SkyMap/Makefile	(revision 3403)
+++ trunk/SophyaLib/SkyMap/Makefile	(revision 3405)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	 rm -f $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	rm -f $(SOPHYALIBP)libSkyMap.a
  
@@ -11,4 +11,31 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
+$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
+  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
+ 
 $(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
   $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
@@ -27,7 +54,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -64,7 +90,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -99,7 +124,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -118,23 +142,21 @@
  
 $(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)sopnamsp.h fiospherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -152,49 +174,20 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
  
-$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
- 
-$(SOPHYAOBJP)localmap.o: localmap.cc \
-  $(SOPHYAINCP)sopnamsp.h localmap.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)localmap.o: localmap.cc $(SOPHYAINCP)sopnamsp.h \
+  localmap.h pixelmap.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -213,7 +206,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  localmap.cc
  
-$(SOPHYAOBJP)longlat.o: longlat.cc \
-  $(SOPHYAINCP)sopnamsp.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
+$(SOPHYAOBJP)longlat.o: longlat.cc $(SOPHYAINCP)sopnamsp.h \
+  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  longlat.cc
  
@@ -270,28 +262,27 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
-  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
-  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
+  $(SOPHYAINCP)ndatablock.h fiospherehealpix.h \
+  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
+  localmap.h fiosphereecp.h sphereecp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapinit.cc
  
-$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h sphereecp.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)sphereecp.o: sphereecp.cc $(SOPHYAINCP)sopnamsp.h \
+  sphereecp.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -342,17 +333,15 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherehealpix.cc
  
-$(SOPHYAOBJP)spherepos.o: spherepos.cc \
-  $(SOPHYAINCP)sopnamsp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)spherepos.o: spherepos.cc $(SOPHYAINCP)sopnamsp.h \
+  spherepos.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherepos.cc
@@ -374,7 +363,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -392,20 +380,17 @@
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h unitvector.h \
-  vector3d.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
+  $(SOPHYAINCP)sopnamsp.h unitvector.h vector3d.h \
+  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  unitvector.cc
  
-$(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)utilgeom.o: utilgeom.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilgeom.cc
  
-$(SOPHYAOBJP)vector3d.o: vector3d.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h vector3d.h \
-  longlat.h utilgeom.h
+$(SOPHYAOBJP)vector3d.o: vector3d.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h vector3d.h longlat.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  vector3d.cc
  
Index: trunk/SophyaLib/SkyMap/smakefile
===================================================================
--- trunk/SophyaLib/SkyMap/smakefile	(revision 3403)
+++ trunk/SophyaLib/SkyMap/smakefile	(revision 3405)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
+	 rm -f $(SOPHYAOBJP)HEALPixUtils.o $(SOPHYAOBJP)fiolocalmap.o $(SOPHYAOBJP)fiosphereecp.o $(SOPHYAOBJP)fiospherehealpix.o $(SOPHYAOBJP)fiospherethetaphi.o $(SOPHYAOBJP)localmap.o $(SOPHYAOBJP)longlat.o $(SOPHYAOBJP)mapoperation.o $(SOPHYAOBJP)skymapinit.o $(SOPHYAOBJP)sphereecp.o $(SOPHYAOBJP)spherehealpix.o $(SOPHYAOBJP)spherepos.o $(SOPHYAOBJP)spherethetaphi.o $(SOPHYAOBJP)unitvector.o $(SOPHYAOBJP)utilgeom.o $(SOPHYAOBJP)vector3d.o
 	rm -f $(SOPHYALIBP)libSkyMap.a
  
@@ -11,4 +11,31 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
+$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
+  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
+ 
 $(SOPHYAOBJP)fiolocalmap.o: fiolocalmap.cc \
   $(SOPHYAINCP)sopnamsp.h fiolocalmap.h \
@@ -27,7 +54,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -64,7 +90,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -99,7 +124,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -118,23 +142,21 @@
  
 $(SOPHYAOBJP)fiospherethetaphi.o: fiospherethetaphi.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  fiospherethetaphi.h sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)sopnamsp.h fiospherethetaphi.h \
+  sphericalmap.h $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -152,49 +174,20 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiospherethetaphi.cc
  
-$(SOPHYAOBJP)HEALPixUtils.o: HEALPixUtils.cc \
-  $(SOPHYAINCP)sopnamsp.h HEALPixUtils.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  HEALPixUtils.cc
- 
-$(SOPHYAOBJP)localmap.o: localmap.cc \
-  $(SOPHYAINCP)sopnamsp.h localmap.h \
-  pixelmap.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)localmap.o: localmap.cc $(SOPHYAINCP)sopnamsp.h \
+  localmap.h pixelmap.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -213,7 +206,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  localmap.cc
  
-$(SOPHYAOBJP)longlat.o: longlat.cc \
-  $(SOPHYAINCP)sopnamsp.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
+$(SOPHYAOBJP)longlat.o: longlat.cc $(SOPHYAINCP)sopnamsp.h \
+  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  longlat.cc
  
@@ -270,28 +262,27 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ndatablock.h \
-  fiospherehealpix.h spherehealpix.h HEALPixUtils.h fiospherethetaphi.h \
-  fiolocalmap.h localmap.h fiosphereecp.h sphereecp.h
+  $(SOPHYAINCP)ndatablock.h fiospherehealpix.h \
+  spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
+  localmap.h fiosphereecp.h sphereecp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymapinit.cc
  
-$(SOPHYAOBJP)sphereecp.o: sphereecp.cc \
-  $(SOPHYAINCP)sopnamsp.h sphereecp.h \
-  sphericalmap.h $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)machdefs.h pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)sphereecp.o: sphereecp.cc $(SOPHYAINCP)sopnamsp.h \
+  sphereecp.h sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)machdefs.h pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -342,17 +333,15 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherehealpix.cc
  
-$(SOPHYAOBJP)spherepos.o: spherepos.cc \
-  $(SOPHYAINCP)sopnamsp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)spherepos.o: spherepos.cc $(SOPHYAINCP)sopnamsp.h \
+  spherepos.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  spherepos.cc
@@ -374,7 +363,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h spherepos.h \
-  $(SOPHYAINCP)machdefs.h unitvector.h \
-  vector3d.h longlat.h utilgeom.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h unitvector.h vector3d.h \
+  longlat.h utilgeom.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)tvector.h \
@@ -392,20 +380,17 @@
  
 $(SOPHYAOBJP)unitvector.o: unitvector.cc \
-  $(SOPHYAINCP)sopnamsp.h unitvector.h \
-  vector3d.h longlat.h \
-  $(SOPHYAINCP)machdefs.h utilgeom.h
+  $(SOPHYAINCP)sopnamsp.h unitvector.h vector3d.h \
+  longlat.h $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  unitvector.cc
  
-$(SOPHYAOBJP)utilgeom.o: utilgeom.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)utilgeom.o: utilgeom.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilgeom.cc
  
-$(SOPHYAOBJP)vector3d.o: vector3d.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h vector3d.h \
-  longlat.h utilgeom.h
+$(SOPHYAOBJP)vector3d.o: vector3d.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h vector3d.h longlat.h \
+  utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  vector3d.cc
  
Index: trunk/SophyaLib/SkyT/Makefile
===================================================================
--- trunk/SophyaLib/SkyT/Makefile	(revision 3403)
+++ trunk/SophyaLib/SkyT/Makefile	(revision 3405)
@@ -11,9 +11,7 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)blackbody.o: blackbody.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h blackbody.h \
-  radspec.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)blackbody.o: blackbody.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h blackbody.h radspec.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -27,7 +25,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  blackbody.cc
  
-$(SOPHYAOBJP)convtools.o: convtools.cc \
-  $(SOPHYAINCP)sopnamsp.h convtools.h \
-  $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)convtools.o: convtools.cc $(SOPHYAINCP)sopnamsp.h \
+  convtools.h $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  convtools.cc
  
@@ -35,6 +32,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h derivblackbody.h \
-  radspec.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
+  radspec.h specresp.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -48,8 +44,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  derivblackbody.cc
  
-$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h gaussfilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc $(SOPHYAINCP)machdefs.h \
+  gaussfilt.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -63,9 +58,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  gaussfilt.cc
  
-$(SOPHYAOBJP)nupower.o: nupower.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nupower.h \
-  radspec.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)nupower.o: nupower.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nupower.h radspec.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -79,8 +72,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nupower.cc
  
-$(SOPHYAOBJP)radspec.o: radspec.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h radspec.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)radspec.o: radspec.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -99,6 +91,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h radspecvector.h \
-  radspec.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
+  radspec.h specresp.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -125,7 +116,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  radspecvector.cc
  
-$(SOPHYAOBJP)skyinit.o: skyinit.cc \
-  $(SOPHYAINCP)sopnamsp.h skyinit.h \
-  $(SOPHYAINCP)ntoolsinit.h \
+$(SOPHYAOBJP)skyinit.o: skyinit.cc $(SOPHYAINCP)sopnamsp.h \
+  skyinit.h $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -156,7 +146,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skyinit.cc
  
-$(SOPHYAOBJP)specresp.o: specresp.cc \
-  $(SOPHYAINCP)sopnamsp.h specresp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)specresp.o: specresp.cc $(SOPHYAINCP)sopnamsp.h \
+  specresp.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
@@ -185,5 +174,4 @@
  
 $(SOPHYAOBJP)specrespvector.o: specrespvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h specrespvector.h \
   specresp.h $(SOPHYAINCP)anydataobj.h \
@@ -216,6 +204,6 @@
 $(SOPHYAOBJP)squarefilt.o: squarefilt.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h squarefilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h squarefilt.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  squarefilt.cc
Index: trunk/SophyaLib/SkyT/smakefile
===================================================================
--- trunk/SophyaLib/SkyT/smakefile	(revision 3403)
+++ trunk/SophyaLib/SkyT/smakefile	(revision 3405)
@@ -11,9 +11,7 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)blackbody.o: blackbody.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h blackbody.h \
-  radspec.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)blackbody.o: blackbody.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h blackbody.h radspec.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -27,7 +25,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  blackbody.cc
  
-$(SOPHYAOBJP)convtools.o: convtools.cc \
-  $(SOPHYAINCP)sopnamsp.h convtools.h \
-  $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)convtools.o: convtools.cc $(SOPHYAINCP)sopnamsp.h \
+  convtools.h $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  convtools.cc
  
@@ -35,6 +32,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h derivblackbody.h \
-  radspec.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
+  radspec.h specresp.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -48,8 +44,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  derivblackbody.cc
  
-$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h gaussfilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)gaussfilt.o: gaussfilt.cc $(SOPHYAINCP)machdefs.h \
+  gaussfilt.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -63,9 +58,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  gaussfilt.cc
  
-$(SOPHYAOBJP)nupower.o: nupower.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nupower.h \
-  radspec.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)nupower.o: nupower.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h nupower.h radspec.h \
+  specresp.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -79,8 +72,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nupower.cc
  
-$(SOPHYAOBJP)radspec.o: radspec.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h radspec.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)radspec.o: radspec.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h radspec.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -99,6 +91,5 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h radspecvector.h \
-  radspec.h specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
+  radspec.h specresp.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
@@ -125,7 +116,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  radspecvector.cc
  
-$(SOPHYAOBJP)skyinit.o: skyinit.cc \
-  $(SOPHYAINCP)sopnamsp.h skyinit.h \
-  $(SOPHYAINCP)ntoolsinit.h \
+$(SOPHYAOBJP)skyinit.o: skyinit.cc $(SOPHYAINCP)sopnamsp.h \
+  skyinit.h $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -156,7 +146,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skyinit.cc
  
-$(SOPHYAOBJP)specresp.o: specresp.cc \
-  $(SOPHYAINCP)sopnamsp.h specresp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)specresp.o: specresp.cc $(SOPHYAINCP)sopnamsp.h \
+  specresp.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
@@ -185,5 +174,4 @@
  
 $(SOPHYAOBJP)specrespvector.o: specrespvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h specrespvector.h \
   specresp.h $(SOPHYAINCP)anydataobj.h \
@@ -216,6 +204,6 @@
 $(SOPHYAOBJP)squarefilt.o: squarefilt.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h squarefilt.h \
-  specresp.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h squarefilt.h specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  squarefilt.cc
Index: trunk/SophyaLib/SysTools/Makefile
===================================================================
--- trunk/SophyaLib/SysTools/Makefile	(revision 3403)
+++ trunk/SophyaLib/SysTools/Makefile	(revision 3405)
@@ -18,7 +18,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
  
-$(SOPHYAOBJP)commander.o: commander.cc \
-  $(SOPHYAINCP)sopnamsp.h commander.h \
-  $(SOPHYAINCP)machdefs.h pdlmgr.h \
+$(SOPHYAOBJP)commander.o: commander.cc $(SOPHYAINCP)sopnamsp.h \
+  commander.h $(SOPHYAINCP)machdefs.h pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -43,7 +42,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
-$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc $(SOPHYAINCP)sopnamsp.h \
+  cxxcmplnk.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sspvflags.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxcmplnk.cc
@@ -53,24 +51,20 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pdlmgr.cc
  
-$(SOPHYAOBJP)periodic.o: periodic.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)periodic.o: periodic.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h periodic.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  periodic.cc
  
-$(SOPHYAOBJP)psighand.o: psighand.cc \
-  $(SOPHYAINCP)sopnamsp.h psighand.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)psighand.o: psighand.cc $(SOPHYAINCP)sopnamsp.h \
+  psighand.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  psighand.cc
  
-$(SOPHYAOBJP)resusage.o: resusage.cc \
-  $(SOPHYAINCP)sopnamsp.h resusage.h \
-  $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)resusage.o: resusage.cc $(SOPHYAINCP)sopnamsp.h \
+  resusage.h $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  resusage.cc
  
-$(SOPHYAOBJP)rpneval.o: rpneval.cc \
-  $(SOPHYAINCP)sopnamsp.h rpneval.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)rpneval.o: rpneval.cc $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -79,7 +73,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
-$(SOPHYAOBJP)zthread.o: zthread.cc \
-  $(SOPHYAINCP)sopnamsp.h zthread.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)zthread.o: zthread.cc $(SOPHYAINCP)sopnamsp.h \
+  zthread.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
Index: trunk/SophyaLib/SysTools/smakefile
===================================================================
--- trunk/SophyaLib/SysTools/smakefile	(revision 3403)
+++ trunk/SophyaLib/SysTools/smakefile	(revision 3405)
@@ -18,7 +18,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cexpre.cc
  
-$(SOPHYAOBJP)commander.o: commander.cc \
-  $(SOPHYAINCP)sopnamsp.h commander.h \
-  $(SOPHYAINCP)machdefs.h pdlmgr.h \
+$(SOPHYAOBJP)commander.o: commander.cc $(SOPHYAINCP)sopnamsp.h \
+  commander.h $(SOPHYAINCP)machdefs.h pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -43,7 +42,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ctimer.cc
  
-$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxcmplnk.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)cxxcmplnk.o: cxxcmplnk.cc $(SOPHYAINCP)sopnamsp.h \
+  cxxcmplnk.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sspvflags.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  cxxcmplnk.cc
@@ -53,24 +51,20 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pdlmgr.cc
  
-$(SOPHYAOBJP)periodic.o: periodic.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)periodic.o: periodic.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h periodic.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  periodic.cc
  
-$(SOPHYAOBJP)psighand.o: psighand.cc \
-  $(SOPHYAINCP)sopnamsp.h psighand.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)psighand.o: psighand.cc $(SOPHYAINCP)sopnamsp.h \
+  psighand.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  psighand.cc
  
-$(SOPHYAOBJP)resusage.o: resusage.cc \
-  $(SOPHYAINCP)sopnamsp.h resusage.h \
-  $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)resusage.o: resusage.cc $(SOPHYAINCP)sopnamsp.h \
+  resusage.h $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  resusage.cc
  
-$(SOPHYAOBJP)rpneval.o: rpneval.cc \
-  $(SOPHYAINCP)sopnamsp.h rpneval.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)rpneval.o: rpneval.cc $(SOPHYAINCP)sopnamsp.h \
+  rpneval.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -79,7 +73,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rpneval.cc
  
-$(SOPHYAOBJP)zthread.o: zthread.cc \
-  $(SOPHYAINCP)sopnamsp.h zthread.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)zthread.o: zthread.cc $(SOPHYAINCP)sopnamsp.h \
+  zthread.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
Index: trunk/SophyaLib/TArray/Makefile
===================================================================
--- trunk/SophyaLib/TArray/Makefile	(revision 3403)
+++ trunk/SophyaLib/TArray/Makefile	(revision 3405)
@@ -49,12 +49,11 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h \
-  tmatrix.h tmatrix_tsnl.h tvector.h tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h tmatrix.h \
+  tmatrix_tsnl.h tvector.h tvector_tsnl.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fioarr.cc
  
-$(SOPHYAOBJP)matharr.o: matharr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)matharr.o: matharr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h matharr.h tarray.h \
   basarr.h $(SOPHYAINCP)anydataobj.h \
@@ -75,9 +74,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  matharr.cc
  
-$(SOPHYAOBJP)sopemtx.o: sopemtx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h sopemtx.h \
-  tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)sopemtx.o: sopemtx.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h sopemtx.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)mutyv.h \
@@ -98,6 +95,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopemtx.cc
  
-$(SOPHYAOBJP)tarray.o: tarray.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)tarray.o: tarray.cc $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h tarray.h basarr.h \
@@ -118,6 +114,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarray.cc
  
-$(SOPHYAOBJP)tarrinit.o: tarrinit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tarrinit.o: tarrinit.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -136,11 +131,10 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)ndatablock.h utilarr.h \
-  tmatrix.h tmatrix_tsnl.h tvector.h tvector_tsnl.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h tmatrix.h \
+  tmatrix_tsnl.h tvector.h tvector_tsnl.h \
   $(SOPHYAINCP)ppersist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarrinit.cc
  
-$(SOPHYAOBJP)tmatrix.o: tmatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tmatrix.o: tmatrix.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -163,11 +157,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmatrix.cc
  
-$(SOPHYAOBJP)tvector.o: tvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tvector.o: tvector.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h tvector.h \
-  tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h tvector.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
@@ -186,6 +178,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tvector.cc
  
-$(SOPHYAOBJP)utilarr.o: utilarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)utilarr.o: utilarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h utilarr.h \
   $(SOPHYAINCP)mutyv.h \
@@ -200,5 +191,6 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)srandgen.h
+  $(SOPHYAINCP)stsrand.h \
+  $(SOPHYAINCP)ndatablock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilarr.cc
  
Index: trunk/SophyaLib/TArray/smakefile
===================================================================
--- trunk/SophyaLib/TArray/smakefile	(revision 3403)
+++ trunk/SophyaLib/TArray/smakefile	(revision 3405)
@@ -191,5 +191,6 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)srandgen.h
+  $(SOPHYAINCP)stsrand.h \
+  $(SOPHYAINCP)ndatablock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilarr.cc
  
